# Full Financials `GET` `https://api.unusualwhales.com/api/stock/{ticker}/financials` Returns full financial data for the given ticker, including income statements, balance sheets, cash flows, and earnings. Supports both annual and quarterly data. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `balance_sheets` | array[Balance Sheet] | | | `cash_flows` | array[Cash Flow Statement] | | | `earnings` | array[Earnings Report] | | | `income_statements` | array[Income Statement] | | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/financials" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/financials", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": { "balance_sheets": [ null ], "cash_flows": [ null ], "earnings": [ null ], "income_statements": [ null ] } } ```